# $Revision: 1.19 $, $Date: 2005/01/09 18:04:52 $
%include        /usr/lib/rpm/macros.perl
Summary:	Conversation simulator
Summary(pl):	Symulator konwersacji
Name:		megahal
Version:	9.1.1
Release:	3
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/megahal/%{name}-%{version}.tar.gz
# Source0-md5:	acdca9ada85cb7fc49dbe2dd8e6b4fca
Source1:	%{name}-personal
Source2:	%{name}-personal.1
URL:		http://megahal.alioth.debian.org/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	tcl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
megahal is a conversation simulator that can learn as you talk to it
Conversation simulators are computer programs which give the
appearance of conversing with a user in natural language. Such
programs are effective because they exploit the fact that human beings
tend to read much more meaning into what is said than is actually
there; we are fooled into reading structure into chaos, and we
interpret non-sequitur as valid conversation. MegaHAL differs from
conversation simulators such as Eliza in that it uses a Markov Model
to learn how to hold a conversation. It is possible to teach MegaHAL
to talk about new topics, and in different languages.

%description -l pl
megahal jest symulatorem konwersacji, ktry uczy si tego co do niego
mwisz. Symulatory konwersacji s programami komputerowymi, ktre
symuluj rozmow z ludmi w jzyku naturalnym. Megahal rni si od
innych symulatorw takich jak Eliza tym, e wykorzystuje model Markova
do nauki jak podtrzyma konwersacj. Jest moliwe nauczenie MegaHAL-a
rozmowy o nowych tematach oraz w innych jzykach.

%package -n perl-Megahal
Summary:	Perl module for megahal
Summary(pl):	Modu Perla do korzystania z megahala
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description -n perl-Megahal
Perl module for megahal.

%description -n perl-Megahal -l pl
Modu Perla do korzystania z megahala.

%package -n python-megahal
Summary:	python module for megahal
Summary(pl):	Modu pythona do korzystania z megahala
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-megahal
python module for megahal.

%description -n python-megahal -l pl
Modu pythona do korzystania z megahala.

%prep
%setup -q

%build
%{__make} all \
	CFLAGS="%{rpmcflags}" \
	INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/megahal,%{_mandir}/man{1,3}}

%{__make} pythonmodule-install perlmodule-install \
	DESTDIR=$RPM_BUILD_ROOT

install megahal %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
install docs/megahal*.1 %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1
install docs/megahal*.3 $RPM_BUILD_ROOT%{_mandir}/man3
install megahal.aux megahal.ban megahal.grt megahal.swp megahal.trn \
	$RPM_BUILD_ROOT%{_libdir}/megahal

mv -f docs/paper.txt docs/README.TXT .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc paper.txt README.*
%attr(755,root,root) %{_bindir}/*
%{_libdir}/megahal
%{_mandir}/man?/megahal*

%files -n perl-Megahal
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/Megahal
%{perl_vendorarch}/auto/Megahal/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Megahal/*.so
%{_mandir}/man?/Megahal*

%files -n python-megahal
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: megahal.spec,v $
Revision 1.19  2005/01/09 18:04:52  saq
- missing pyreqeq, rel 3

Revision 1.18  2004/08/18 22:47:09  undefine
- fix url, release 2

Revision 1.17  2004/06/05 17:30:49  radek
- include /usr/lib/rpm/macros.perl

Revision 1.16  2004/05/15 20:25:24  qboosh
- BR: python-devel

Revision 1.15  2004/05/15 20:19:32  qboosh
- perl/python fixes

Revision 1.14  2004/05/15 20:01:28  undefine
- update to 9.1.1

Revision 1.13  2003/11/23 02:26:09  undefine
- release 2 to rebuild with ac

Revision 1.12  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.11  2003/05/28 12:59:43  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:50:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/11/27 22:06:21  juandon
- new %%doc

Revision 1.8  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/05 17:17:07  gotar
- typo.

Revision 1.6  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/05/02 21:51:24  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2001/01/25 20:03:24  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.3  2001/01/06 14:03:16  undefine
- updated to 9.0.3
- updated sourceurl and url
- removed unneeded patch

Revision 1.2  2001/01/05 21:31:49  kloczek
- small simplification in %files and few cosmetics.

Revision 1.1  2001/01/05 10:26:39  undefine
- initial pld version
